import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import java.io.*;

/**
 * Splash-screen
 */
public class Game extends JWindow
{
   //Variabler
   JLabel l;
   
   /**
   * Main-class
   * @param args String[] args
	*/
  	public static void main(String[] args)
  	{
    	new Game();
  	}
    
    /**
     * Viser Splash-screen
     */
    public Game()
    {
        //legger ut bakgrunnsbilde p en label
        l = new JLabel(new ImageIcon("..//gfx//flash.jpg"));
        getContentPane().add(l, BorderLayout.CENTER);
        pack();
        
        //Midtstiller vinduet midt p skjermen
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension labelSize = l.getPreferredSize();
        setLocation(screenSize.width/2 - (labelSize.width/2),screenSize.height/2 - (labelSize.height/2));
        //Viser framen
        setVisible(true);
        screenSize = null;
        labelSize = null;   
        
        //Thread som lar vinduet str frammme
        //i 3 sekunder
        Thread t = new Thread();
        try 
        {
           t.sleep(3000);
	     }
	     catch(Exception e)
	     {
	        System.out.println(e);
	     }
        
        //lukker vinduet
        this.setVisible(false);
        
        //Kaller opp adminGui og viser den
        Tennis tennis = new Tennis();
    }
}