/**
* JOSEF
* Contains all the angels 
* to Josefs body
* @author Marte Horne
* @version  1 - 2002...
*/
public class Josef
{
   //Rotates and moves Josef
   private float rotere_josef[] = new float[3];
   private float move_josef_x;
   private float move_josef_y;
   private float move_josef_z;
   
   private float size = 0.8f;
   
   //Angels
   private float v_body[] = {0.0f, 0.0f, 0.0f};
   private float v_neck[] = {0.0f, 0.0f, 0.0f};
   private float v_shoulder_left[] = {0.0f, 0.0f, 0.0f};
   private float v_overarm_left[] = {0.0f, 0.0f, 0.0f}; 
   private float v_underarm_left[] = {0.0f, 0.0f, 0.0f};
   private float v_hand_left[] = {0.0f, 0.0f, 0.0f};
   private float v_shoulder_right[] = {0.0f, 0.0f, 0.0f};
   private float v_overarm_right[] = {0.0f, 0.0f, 0.0f};
   private float v_underarm_right[] = {0.0f, 0.0f, 0.0f};
   private float v_hand_right[] = {0.0f, 0.0f, 0.0f}; 
   private float v_hip_left[] = {0.0f, 0.0f, 0.0f}; 	
   private float v_thigh_left[] = {0.0f, 0.0f, 0.0f}; 
   private float v_leg_left[] = {0.0f, 0.0f, 0.0f}; 	
   private float v_foot_left[] = {0.0f, 0.0f, 0.0f}; 	
   private float v_hip_right[] = {0.0f, 0.0f, 0.0f}; 	
   private float v_thigh_right[] = {0.0f, 0.0f, 0.0f};
   private float v_leg_right[] = {0.0f, 0.0f, 0.0f}; 	
   private float v_foot_right[] = {0.0f, 0.0f, 0.0f}; 


	/**
   * Constructor
   * Initials all the angels
	*/
   public Josef()
   {
   	//Josefs angels
      move_josef_x = -5.0f;
   	move_josef_y = 1.05f*size;
   	move_josef_z = 0.0f;
   	rotere_josef[1] = 90;
				
		v_body[0] = 270;
	   v_shoulder_left[1] = 100;
	   v_overarm_left[1] = 70;
	   v_shoulder_right[1] = 260;
	   v_overarm_right[1] = 290;
	   v_hip_left[1] = 90;
	   v_hip_left[0] = 10;
	   v_thigh_left[0] = 80;
	   v_foot_left[1] = 270;
	   v_hip_right[1] = 270;
	   v_hip_right[0] = 10;
	   v_thigh_right[0] = 80;
	   v_foot_right[1] = 90;
   }
   
   
   //********************************
   //GET-methods
   //********************************
   
   /**
	* the size of Josef
	* @return  size
	*/
   public float getsize()
   {
   	return size;
   }
   
   /**
	* rotates josef
	* @return  rotere_josef
	*/
   public float[] getrotere_josef()
   {
   	return rotere_josef;
   }
   
   /**
	* translates Josef x
	* @return move_josef_x
	*/
   public float getmove_josef_x()
   {
      return move_josef_x;
   }
   
    /**
	* translates Josef y
	* @return move_josef_y
	*/
   public float getmove_josef_y()
   {
      return move_josef_y;
   }
   
    /**
	* translates Josef z
	* @return move_josef_z
	*/
   public float getmove_josef_z()
   {
      return move_josef_z;
   }

   /**
	* rotates josefs body
	* @return v_body
	*/
   public float[] getv_body()
   {
   	return v_body;
   }
   
   /**
	* rotates josefs neck
	* @return v_neck
	*/
   public float[] getv_neck()
   {
   	return v_neck;
   }
   
   /**
	* rotates josefs left shoulder
	* @return v_shoulder_left
	*/
   public float[] getv_shoulder_left()
   {
      return v_shoulder_left;
   }
   
   /**
	* rotates josefs left upperarm
	* @return v_overarm_left
	*/
   public float[] getv_overarm_left()
   {
      return v_overarm_left;
   }
   
   /**
	* rotates josefs left forearm
	* @return v_underarm_left
	*/
   public float[] getv_underarm_left()
   {
      return v_underarm_left;
   }
   
    /**
	* rotates josefs right shoulder
	* @return v_shoulder_right
	*/
   public float[] getv_shoulder_right()
   {
      return v_shoulder_right;
   }
   
    /**
	* rotates josefs right upperarm
	* @return v_overarm_right
	*/
   public float[] getv_overarm_right()
   {
      return v_overarm_right;
   }
   
   /**
	* rotates josefs right forearm
	* @return v_underarm_right
	*/
   public float[] getv_underarm_right()
   {
      return v_underarm_right;
   }
   
   /**
	* rotates josefs right hand
	*/
   public float[] getv_hand_right()
   {
      return v_hand_right;
   }
   
   
   /**
	* rotates josefs left hip
	* @return v_hip_left
	*/
   public float[] getv_hip_left()
   {
      return v_hip_left;
   }
   
   /**
	* rotates josefs left thigh
	* @return v_thigh_left
	*/
   public float[] getv_thigh_left()
   {
      return v_thigh_left;
   }
   
   /**
	* rotates josefs left leg
	* @return v_leg_left
	*/
   public float[] getv_leg_left()
   {
      return v_leg_left;
   }
   
   /**
	* rotates josefs left foot
	* @return v_foot_left
	*/
   public float[] getv_foot_left()
   {
      return v_foot_left;
   }
   
   /**
	* rotates josefs right hip
	* @return v_hip_right
	*/
   public float[] getv_hip_right()
   {
      return v_hip_right;
   }
   
   /**
	* rotates josefs right thigh
	* @return v_thigh_right
	*/
   public float[] getv_thigh_right()
   {
      return v_thigh_right;
   }
   
   /**
	* rotates josefs right leg
	* @return v_leg_right
	*/
   public float[] getv_leg_right()
   {
      return v_leg_right;
   }
   
   /**
	* rotates josefs right foot
	* @return v_foot_right
	*/
   public float[] getv_foot_right()
   {
      return v_foot_right;
   }


   //********************************
   //SET-methods
   //********************************
   
   /**
	* the size of Josef
	* @param v
	*/
   public void setsize(float s)
   {
   	size = s;
   }
   
   /**
	* rotates josef
	* @param v
	*/
   public void settrotere_josef(float v[])
   {
   	rotere_josef = v;
   }
   
   /**
	* translates Josef x
	* @param v
	*/
   public void setmove_josef_x(float v)
   {
      move_josef_x = v;
   }
   
    /**
	* translates Josef y
	* @param v
	*/
   public void setmove_josef_y(float v)
   {
      move_josef_y = v;
   }
   
    /**
	* translates Josef z
	* @param v
	*/
   public void setmove_josef_z(float v)
   {
      move_josef_z = v;
   }

   /**
	* rotates josefs body
	* @param v
	*/
   public void setv_body(float v[])
   {
   	v_body = v;
   }
   
   /**
	* rotates josefs neck
	* @param v
	*/
   public void setv_neck(float v[])
   {
   	v_neck = v;
   }
   
   /**
	* rotates josefs left shoulder
	* @param v
	*/
   public void setv_shoulder_left(float v[])
   {
      v_shoulder_left = v;
   }
   
   /**
	* rotates josefs left upperarm
	* @param v
	*/
   public void setv_overarm_left(float v[])
   {
      v_overarm_left = v;
   }
   
   /**
	* rotates josefs left forearm
	* @param v
	*/
   public void setv_underarm_left(float v[])
   {
      v_underarm_left = v;
   }
   
    /**
	* rotates josefs right shoulder
	* @param v
	*/
   public void setv_shoulder_right(float v[])
   {
   	v_shoulder_right = v;
   }
   
    /**
	* rotates josefs right upperarm
	* @param v
	*/
   public void setv_overarm_right(float v[])
   {
      v_overarm_right = v;
   }
   
   /**
	* rotates josefs right forearm
	* @param v
	*/
   public void setv_underarm_right(float v[])
   {
      v_underarm_right = v;
   }
   
    /**
	* rotates josefs right hand
	* @param v
	*/
   public void setv_hand_right(float v[])
   {
      v_hand_right = v;
   }
   
   
   /**
	* rotates josefs left hip
	* @param v
	*/
   public void setv_hip_left(float v[])
   {
      v_hip_left = v;
   }
   
   /**
	* rotates josefs left thigh
	* @param v
	*/
   public void setv_thigh_left(float v[])
   {
      v_thigh_left = v;
   }
   
   /**
	* rotates josefs left leg
	* @param v
	*/
   public void setv_leg_left(float v[])
   {
      v_leg_left = v;
   }
   
   /**
	* rotates josefs left foot
	* @param v
	*/
   public void setv_foot_left(float v[])
   {
      v_foot_left = v;
   }
   
   /**
	* rotates josefs right hip
	* @param v
	*/
   public void setv_hip_right(float v[])
   {
      v_hip_right = v;
   }
   
   /**
	* rotates josefs right thigh
	* @param v
	*/
   public void setv_thigh_right(float v[])
   {
      v_thigh_right = v;
   }
   
   /**
	* rotates josefs right leg
	* @param v
	*/
   public void setv_leg_right(float v[])
   {
      v_leg_right = v;
   }
   
   /**
	* rotates josefs right foot
	* @param v
	*/
   public void setv_foot_right(float v[])
   {
      v_foot_right = v;
   }
}