/**
* JOSEFINE
* Contains all the angels 
* to Josefines body
* @author Marte Horne
* @version  1 - 2002...
*/
public class Josefine
{
	//Rotates and moves Josefine
   private float rotere_josefine[] = new float[3];
   private float move_josefine_x;
   private float move_josefine_y;
   private float move_josefine_z;
   
   private float size = 0.8f;
   
   //Angels
   private float v_body[] = {0.0f, 0.0f, 0.0f};//0
   private float v_neck[] = {0.0f, 0.0f, 0.0f};//1
   private float v_shoulder_left[] = {0.0f, 0.0f, 0.0f}; //2
   private float v_overarm_left[] = {0.0f, 0.0f, 0.0f}; //3
   private float v_underarm_left[] = {0.0f, 0.0f, 0.0f}; //4
   private float v_hand_left[] = {0.0f, 0.0f, 0.0f}; //7
   private float v_shoulder_right[] = {0.0f, 0.0f, 0.0f}; //5
   private float v_overarm_right[] = {0.0f, 0.0f, 0.0f}; //6
   private float v_underarm_right[] = {0.0f, 0.0f, 0.0f}; //7
   private float v_hand_right[] = {0.0f, 0.0f, 0.0f}; //7
   private float v_hip_left[] = {0.0f, 0.0f, 0.0f}; //8
   private float v_thigh_left[] = {0.0f, 0.0f, 0.0f}; //9
   private float v_leg_left[] = {0.0f, 0.0f, 0.0f}; //10
   private float v_foot_left[] = {0.0f, 0.0f, 0.0f}; //11
   private float v_hip_right[] = {0.0f, 0.0f, 0.0f}; //12
   private float v_thigh_right[] = {0.0f, 0.0f, 0.0f}; //13
   private float v_leg_right[] = {0.0f, 0.0f, 0.0f}; //14
   private float v_foot_right[] = {0.0f, 0.0f, 0.0f}; //15
   
   

	/**
   * Constructor
   * Initials all the angels
	*/
   public Josefine()
   {
   	//josefines angels
      move_josefine_x = 5.0f;
   	move_josefine_y = 1.05f*size;
   	//move_josefine_z = 0.0f;
   	rotere_josefine[1] = 270;
   	
   	v_body[0] = 270;
	   v_shoulder_left[1] = 90;
	   v_overarm_left[1] = 70;
	   v_hand_left[2] = 60;
	   v_shoulder_right[1] = 260;
	   v_overarm_right[1] = 290;
	   v_hand_right[2] = 90;
	   v_hip_left[1] = 90;
	   v_hip_left[0] = 10;
	   v_thigh_left[0] = 80;
	   v_foot_left[1] = 270;
	   v_hip_right[1] = 270;
	   v_hip_right[0] = 10;
	   v_thigh_right[0] = 80;
	   v_foot_right[1] = 90;
   }
   
   //********************************
   //GET-methods
   //********************************   
    /**
	* the size of Josefine
	* @return  size
	*/
   public float getsize()
   {
   	return size;
   }
   
    /**
	* rotates josefine
	* @return  rotere_josefine
	*/
   public float[] getrotere_josefine()
   {
   	return rotere_josefine;
   }
   
   /**
	* translates Josefine x
	* @return move_josefine_x
	*/
   public float getmove_josefine_x()
   {
      return move_josefine_x;
   }
   
   /**
	* translates Josefine y
	* @return move_josefine_y
	*/
   public float getmove_josefine_y()
   {
      return move_josefine_y;
   }
   
   /**
	* translates Josefine z
	* @return move_josefine_z
	*/
   public float getmove_josefine_z()
   {
      return move_josefine_z;
   }

   /**
	* rotates josefines body
	* @return v_body
	*/
   public float[] getv_body()
   {
   	return v_body;
   }
   
   /**
	* rotates josefines neck
	* @return v_neck
	*/
   public float[] getv_neck()
   {
   	return v_neck;
   }
   
   /**
	* rotates josefines left shoulder
	* @return v_shoulder_left
	*/
   public float[] getv_shoulder_left()
   {
      return v_shoulder_left;
   }
   
   /**
	* rotates josefines left upperarm
	*/
   public float[] getv_overarm_left()
   {
      return v_overarm_left;
   }
   
   /**
	* rotates josefines left forearm
	* @return v_overarm_left
	*/
   public float[] getv_underarm_left()
   {
      return v_underarm_left;
   }
   
   /**
	* rotates josefines left hand
	* @return v_hand_left
	*/
   public float[] getv_hand_left()
   {
      return v_hand_left;
   }
   
   /**
	* rotates josefines right shoulder
	* @return v_shoulder_right
	*/
   public float[] getv_shoulder_right()
   {
      return v_shoulder_right;
   }
   
   /**
	* rotates josefines right upperarm
	*/
   public float[] getv_overarm_right()
   {
      return v_overarm_right;
   }
   
   /**
	* rotates josefines right forearm
	* @return v_underarm_right
	*/
   public float[] getv_underarm_right()
   {
      return v_underarm_right;
   }
   
    /**
	* rotates josefines right hand
	*/
   public float[] getv_hand_right()
   {
      return v_hand_right;
   }
   
   /**
	* rotates josefines left hip
	* @return v_hip_left
	*/
   public float[] getv_hip_left()
   {
      return v_hip_left;
   }
   
    /**
	* rotates josefines left thigh
	* @return v_thigh_left
	*/
   public float[] getv_thigh_left()
   {
      return v_thigh_left;
   }
   
   /**
	* rotates josefines left leg
	* @return v_leg_left
	*/
   public float[] getv_leg_left()
   {
      return v_leg_left;
   }
   
   /**
	* rotates josefines left foot
	* @return v_foot_left
	*/
   public float[] getv_foot_left()
   {
      return v_foot_left;
   }
   
   /**
	* rotates josefines right hip
	* @return v_hip_right
	*/
   public float[] getv_hip_right()
   {
      return v_hip_right;
   }
   
   /**
	* rotates josefines right thigh
	* @return v_thigh_right
	*/
   public float[] getv_thigh_right()
   {
      return v_thigh_right;
   }
   
   /**
	* rotates josefines right leg
	* @return v_leg_right
	*/
   public float[] getv_leg_right()
   {
      return v_leg_right;
   }
   
   /**
	* rotates josefines right foot
	* @return v_foot_right
	*/
   public float[] getv_foot_right()
   {
      return v_foot_right;
   }
   
   
   //********************************
   //SET-methods
   //********************************
   
   /**
	* the size of Josefine
	* @param v
	*/
   public void setsize(float s)
   {
   	size = s;
   }
   
   /**
	* rotates josefine
	* @param v
	*/
   public void settrotere_josefine(float v[])
   {
   	rotere_josefine = v;
   }
   
   /**
	* translates Josefine x
	* @param v
	*/
   public void setmove_josefine_x(float v)
   {
      move_josefine_x = v;
   }
   
    /**
	* translates Josefine y
	* @param v
	*/
   public void setmove_josefine_y(float v)
   {
      move_josefine_y = v;
   }
   
    /**
	* translates Josefine z
	* @param v
	*/
   public void setmove_josefine_z(float v)
   {
      move_josefine_z = v;
   }

   /**
	* rotates josefines body
	* @param v
	*/
   public void setv_body(float v[])
   {
   	v_body = v;
   }
   
   /**
	* rotates josefines neck
	* @param v
	*/
   public void setv_neck(float v[])
   {
   	v_neck = v;
   }
   
   /**
	* rotates josefines left shoulder
	* @param v
	*/
   public void setv_shoulder_left(float v[])
   {
      v_shoulder_left = v;
   }
   
   /**
	* rotates josefines left upperarm
	* @param v
	*/
   public void setv_overarm_left(float v[])
   {
      v_overarm_left = v;
   }
   
   /**
	* rotates josefines left forearm
	* @param v
	*/
   public void setv_underarm_left(float v[])
   {
      v_underarm_left = v;
   }
   
    /**
	* rotates josefines right shoulder
	* @param v
	*/
   public void setv_shoulder_right(float v[])
   {
   	v_shoulder_right = v;
   }
   
    /**
	* rotates josefines right upperarm
	* @param v
	*/
   public void setv_overarm_right(float v[])
   {
      v_overarm_right = v;
   }
   
   /**
	* rotates josefines right forearm
	* @param v
	*/
   public void setv_underarm_right(float v[])
   {
      v_underarm_right = v;
   }
   
    /**
	* rotates josefs right hand
	* @param v
	*/
   public void setv_hand_right(float v[])
   {
      v_hand_right = v;
   }
   
   /**
	* rotates josefines left hip
	* @param v
	*/
   public void setv_hip_left(float v[])
   {
      v_hip_left = v;
   }
   
   /**
	* rotates josefines left thigh
	* @param v
	*/
   public void setv_thigh_left(float v[])
   {
      v_thigh_left = v;
   }
   
   /**
	* rotates josefines left leg
	* @param v
	*/
   public void setv_leg_left(float v[])
   {
      v_leg_left = v;
   }
   
   /**
	* rotates josefines left foot
	* @param v
	*/
   public void setv_foot_left(float v[])
   {
      v_foot_left = v;
   }
   
   /**
	* rotates josefines right hip
	* @param v
	*/
   public void setv_hip_right(float v[])
   {
      v_hip_right = v;
   }
   
   /**
	* rotates josefines right thigh
	* @param v
	*/
   public void setv_thigh_right(float v[])
   {
      v_thigh_right = v;
   }
   
   /**
	* rotates josefines right leg
	* @param v
	*/
   public void setv_leg_right(float v[])
   {
      v_leg_right = v;
   }
   
   /**
	* rotates josefines right foot
	* @param v
	*/
   public void setv_foot_right(float v[])
   {
      v_foot_right = v;
   }
}