import gl4java.GLContext;
import gl4java.awt.GLCanvas;
import gl4java.utils.glut.*;
import gl4java.*;

/**
* Playing
* Contains all the arrays where
* the ball is 
* @author Marte Horne
* @version  1 - 2002...
*/
public class Playing 
{		   
   private boolean drawRacket = true;
   
   private int UN_kast =8;
   private int VN_kast =1;
   
   private float kastPoints_1[] = 
   {
      //josefine kaster opp ballen
      5.0f,  0.7f,  0.4f,	 	
      4.9f,  0.8f,  0.3f,
      4.8f,  0.9f,  0.2f,	 
      4.7f,  1.0f,  0.1f,	
      4.6f,  1.1f,  0.0f,	 		
      4.6f,  1.3f,  -0.1f,	 		
      4.7f,  1.5f,  -0.2f,	 		
      4.92f,  2.5f,  -0.3f	 	
   };

   private int UN_1 =15;
   private int VN_1 =1;

   private float ctrlpoints_1[] = 
   {
      //ned i bakken fra josefine
      4.92f,  2.5f,  -0.3f,	 	
      4.50f,  2.4f,  -0.2f, 
      4.00f,  2.3f,  -0.1f,   
      3.50f,  2.2f,   0.0f,  
      3.00f,  2.0f,   0.1f,
      2.50f,  1.9f,   0.2f, 
      2.00f,  1.7f,   0.3f,
      1.50f,  1.6f,   0.35f,
      1.00f,  1.5f,   0.4f,
      0.50f,  1.3f,   0.45f,
      0.00f,  1.1f,   0.5f,	 	
      -0.50f,  0.8f,   0.55f,	 	
      -1.00f,  0.6f,   0.6f,	 	
      -1.50f,  0.4f,   0.65f,
      -2.00f,  0.1f,   0.7f
   };

   private int UN_2 =13;
   private int VN_2 =1;
   
   private float ctrlpoints_2[] = 
   {
      //opp til josef..
      //-2.00f,  0.1f,  0.7f,
      -2.25f,  0.3f,  0.8f,
      -2.50f,  0.5f,  0.85f,
      -2.75f,  0.7f,  0.9f,
      -3.00f,  0.8f,  0.95f,
      -3.25f,  0.9f,  1.0f,
      -3.50f,  1.0f,  1.05f,
      -3.75f,  1.2f,  1.1f,
      -4.00f,  1.2f,  1.15f,
      -4.25f,  1.2f,  1.2f,
      -4.50f,  1.2f,  1.25f,
      -4.75f,  1.2f,  1.3f,
      -4.85f,  1.2f,  1.35f,
      -4.93f,  1.2f,  1.4f			 
   };

   private int UN_3 =15;
   private int VN_3 =1;
   
   private float ctrlpoints_3[] = 
   {
      //ned i bakken
      -4.87f,  1.20f,  1.20f,
      -4.75f,  1.25f,  1.10f,
      -4.25f,  1.30f,  1.00f,
      -3.75f,  1.35f,  0.90f,
      -3.25f,  1.35f,  0.80f,
      -2.75f,  1.35f,  0.70f,
      -2.25f,  1.35f,  0.60f,
      -1.50f,  1.30f,  0.50f,
      -1.00f,  1.30f,  0.40f,
      -0.50f,  1.25f,  0.30f,
      0.00f,  1.20f,  0.20f,
      0.50f,  0.8f,  0.10f,	 	
      1.00f,  0.6f,  0.00f,	 	
      1.50f,  0.4f,  -0.10f,
      2.00f,  0.1f,  -0.20f
   };


   private int UN_4 =13;
   private int VN_4 =1;
   
   private float ctrlpoints_4[] = 
   {
      //opp igjen til josefine
      2.25f,  0.3f,  -0.3f,
      2.50f,  0.5f,  -0.4f,
      2.75f,  0.7f,  -0.5f,
      3.00f,  0.8f,  -0.6f,
      3.25f,  0.9f,  -0.7f,
      3.50f,  1.0f,  -0.8f,
      3.75f,  1.2f,  -0.9f,
      4.00f,  1.2f,  -1.0f,
      4.25f,  1.2f,  -1.1f,
      4.50f,  1.2f,  -1.2f,
      4.75f,  1.2f,  -1.3f,
      4.85f,  1.2f,  -1.35f,
      4.90f,  1.30f,  -1.4f			 
   };


   private int UN_5 =15;
   private int VN_5 =1;
   
   private float ctrlpoints_5[] = 
   {
      //josefine slr tilbake :)
      4.90f,  1.30f,  -1.4f,
      4.50f,  1.3f,   -1.3f, 
      4.00f,  1.3f,   -1.2f,   
      3.50f,  1.25f,  -1.1f,  
      3.00f,  1.25f,  -0.8f,
      2.50f,  1.25f,  -0.6f, 
      2.00f,  1.25f,  -0.4f,
      1.50f,  1.2f,   -0.2f,
      1.00f,  1.2f,    0.0f,
      0.50f,  1.2f,    0.2f,
      0.00f,  1.2f,    0.3f,	 	
      -0.50f,  0.9f,    0.4f,	 	
      -1.00f,  0.6f,    0.5f,	 	
      -1.50f,  0.3f,    0.6f,
      -2.00f,  0.1f,    0.7f
   };


   private int UN_6 =21;
   private int VN_6 =1;

   private float ctrlpoints_6[] = 
   {
      //josef taper.....
      -4.87f,  1.20f,  1.20f,
      -4.75f,  1.2f,  1.10f,
      -4.25f,  1.25f,  1.00f,
      -3.75f,  1.25f,  0.90f,
      -3.25f,  1.20f,  0.80f,
      -2.75f,  1.20f,  0.70f,
      -2.25f,  1.15f,  0.60f,
      -1.50f,  1.15f,  0.50f,
      -1.00f,  1.10f,  0.40f,
      -0.50f,  1.0f,  0.30f,
      -0.2f,  0.8f,  0.20f,
       0.05f,  0.6f,  0.0f, 
       0.1f,  0.5f,  0.0f,  //36
       0.20f,  0.4f,  0.0f, //39
       0.10f,  0.4f,  0.0f, //42      
       0.05f,  0.2f,  0.0f, //45
       0.05f,  0.2f,  0.0f, //48
       -0.1f,  0.2f,  0.0f,
       -0.1f,  0.1f,  0.0f,
       -0.2f,  0.1f,  0.0f,
       -0.3f,  0.1f,  0.0f
       
   };

   /**
   * getdrawRacket
   * @return drawRacket
   */
   public boolean getdrawRacket()
   {
      return drawRacket;
   }

   /**
   * getUN_kast
   * @return UN_kast
   */
   public int getUN_kast()
   {
      return UN_kast;
   }

   /**
   * getVN
   * @return VN
   */
   public int getVN_kast()
   {
      return VN_kast;
   }

   /**
   * Controlspoints
   * @return ctrlpoints
   */
   public float[] getkastPoints()
   {
      return kastPoints_1;   		
   }

   /**
   * getUN_1
   * @return UN_1
   */
   public int getUN_1()
   {
      return UN_1;
   }

   /**
   * getVN
   * @return VN
   */
   public int getVN_1()
   {
      return VN_1;
   }

   /**
   * Controlspoints
   * @return ctrlpoints
   */
   public float[] getctrlpoints_1()
   {
      return ctrlpoints_1;   		
   }

   /**
   * getUN_2
   * @return UN_2
   */
   public int getUN_2()
   {
      return UN_2;
   }

   /**
   * getVN
   * @return VN
   */
   public int getVN_2()
   {
      return VN_2;
   }

   /**
   * Controlspoints
   * @return ctrlpoints
   */
   public float[] getctrlpoints_2()
   {
      return ctrlpoints_2;   		
   }

   /**
   * getUN_3
   * @return UN_3
   */
   public int getUN_3()
   {
      return UN_3;
   }

   /**
   * getVN
   * @return VN
   */
   public int getVN_3()
   {
      return VN_3;
   }

   /**
   * Controlspoints
   * @return ctrlpoints
   */
   public float[] getctrlpoints_3()
   {
      return ctrlpoints_3;   		
   }

   /**
   * getUN_4
   * @return UN_4
   */
   public int getUN_4()
   {
      return UN_4;
   }

   /**
   * getVN
   * @return VN
   */
   public int getVN_4()
   {
      return VN_4;
   }
   
   /**
   * Controlspoints
   * @return ctrlpoints
   */
   public float[] getctrlpoints_4()
   {
      return ctrlpoints_4;   		
   }

   /**
   * getUN_5
   * @return UN_5
   */
   public int getUN_5()
   {
      return UN_5;
   }

   /**
   * getVN
   * @return VN
   */
   public int getVN_5()
   {
      return VN_5;
   }
   
   /**
   * Controlspoints
   * @return ctrlpoints
   */
   public float[] getctrlpoints_5()
   {
      return ctrlpoints_5;   		
   }

   /**
   * getUN_6
   * @return UN_6
   */
   public int getUN_6()
   {
      return UN_6;
   }

   /**
   * getVN
   * @return VN
   */
   public int getVN_6()
   {
      return VN_6;
   }

   /**
   * Controlspoints
   * @return ctrlpoints
   */
   public float[] getctrlpoints_6()
   {
      return ctrlpoints_6;   		
   }
}   