/**
* The referee
* Contains all the angels 
* to the referees body
* @author Marte Horne
* @version  1 - 2002...
*/
public class Referee
{
   //Rotates and moves referee
   private float rotere_referee[] = new float[3];
   private float move_referee_x;
   private float move_referee_y;
   private float move_referee_z;
   
   private float size = 0.8f;
   
   //Angels
   private float v_body[] = {0.0f, 0.0f, 0.0f};
   private float v_neck[] = {0.0f, 0.0f, 0.0f};
   private float v_shoulder_left[] = {0.0f, 0.0f, 0.0f};
   private float v_overarm_left[] = {0.0f, 0.0f, 0.0f};
   private float v_underarm_left[] = {0.0f, 0.0f, 0.0f};
   private float v_hand_left[] = {0.0f, 0.0f, 0.0f};
   private float v_shoulder_right[] = {0.0f, 0.0f, 0.0f};
   private float v_overarm_right[] = {0.0f, 0.0f, 0.0f};
   private float v_underarm_right[] = {0.0f, 0.0f, 0.0f};
   private float v_hand_right[] = {0.0f, 0.0f, 0.0f};
   private float v_hip_left[] = {0.0f, 0.0f, 0.0f};
   private float v_thigh_left[] = {0.0f, 0.0f, 0.0f};
   private float v_leg_left[] = {0.0f, 0.0f, 0.0f};
   private float v_foot_left[] = {0.0f, 0.0f, 0.0f};
   private float v_hip_right[] = {0.0f, 0.0f, 0.0f};
   private float v_thigh_right[] = {0.0f, 0.0f, 0.0f};
   private float v_leg_right[] = {0.0f, 0.0f, 0.0f};
   private float v_foot_right[] = {0.0f, 0.0f, 0.0f};


	/**
   * Constructor
   * Initials all the angels
	*/
   public Referee()
   {
   	//referees angels
   	move_referee_y = 1.45f;
   	move_referee_z = -3.3f;
				
		v_body[0] = 270;
		v_neck[2] = 45;
	   v_shoulder_left[1] = 100;
	   v_overarm_left[1] = 70;
	   v_shoulder_right[1] = 260;
	   v_overarm_right[1] = 290;
	   v_hip_left[1] = 90;
	   v_hip_left[0] = 10;
	   v_thigh_left[0] = 80;
	   v_thigh_left[1] = 270;
	   v_leg_left[1] = 90;
	   v_foot_left[1] = 270;
	   v_hip_right[1] = 270;
	   v_hip_right[0] = 10;
	   v_thigh_right[0] = 80;
	   v_thigh_right[1] = 90;
	   v_leg_right[1] = 270;
	   v_foot_right[1] = 90;
   }
   
   
   //********************************
   //GET-methods
   //********************************
   
   /**
	* the size of referee
	* @return  size
	*/
   public float getsize()
   {
   	return size;
   }
   
   /**
	* rotates referee
	* @return  rotere_referee
	*/
   public float[] getrotere_referee()
   {
   	return rotere_referee;
   }
   
   /**
	* translates referee x
	* @return move_referee_x
	*/
   public float getmove_referee_x()
   {
      return move_referee_x;
   }
   
    /**
	* translates referee y
	* @return move_referee_y
	*/
   public float getmove_referee_y()
   {
      return move_referee_y;
   }
   
    /**
	* translates referee z
	* @return move_referee_z
	*/
   public float getmove_referee_z()
   {
      return move_referee_z;
   }

   /**
	* rotates referees body
	* @return v_body
	*/
   public float[] getv_body()
   {
   	return v_body;
   }
   
   /**
	* rotates referees neck
	* @return v_neck
	*/
   public float[] getv_neck()
   {
   	return v_neck;
   }
   
   /**
	* rotates referees left shoulder
	* @return v_shoulder_left
	*/
   public float[] getv_shoulder_left()
   {
      return v_shoulder_left;
   }
   
   /**
	* rotates referees left upperarm
	* @return v_overarm_left
	*/
   public float[] getv_overarm_left()
   {
      return v_overarm_left;
   }
   
   /**
	* rotates referees left forearm
	* @return v_underarm_left
	*/
   public float[] getv_underarm_left()
   {
      return v_underarm_left;
   }
   
    /**
	* rotates referees right shoulder
	* @return v_shoulder_right
	*/
   public float[] getv_shoulder_right()
   {
      return v_shoulder_right;
   }
   
    /**
	* rotates referees right upperarm
	* @return v_overarm_right
	*/
   public float[] getv_overarm_right()
   {
      return v_overarm_right;
   }
   
   /**
	* rotates referees right forearm
	* @return v_underarm_right
	*/
   public float[] getv_underarm_right()
   {
      return v_underarm_right;
   }
   
   /**
	* rotates referees right hand
	*/
   public float[] getv_hand_right()
   {
      return v_hand_right;
   }
   
   
   /**
	* rotates referees left hip
	* @return v_hip_left
	*/
   public float[] getv_hip_left()
   {
      return v_hip_left;
   }
   
   /**
	* rotates referees left thigh
	* @return v_thigh_left
	*/
   public float[] getv_thigh_left()
   {
      return v_thigh_left;
   }
   
   /**
	* rotates referees left leg
	* @return v_leg_left
	*/
   public float[] getv_leg_left()
   {
      return v_leg_left;
   }
   
   /**
	* rotates referees left foot
	* @return v_foot_left
	*/
   public float[] getv_foot_left()
   {
      return v_foot_left;
   }
   
   /**
	* rotates referees right hip
	* @return v_hip_right
	*/
   public float[] getv_hip_right()
   {
      return v_hip_right;
   }
   
   /**
	* rotates referees right thigh
	* @return v_thigh_right
	*/
   public float[] getv_thigh_right()
   {
      return v_thigh_right;
   }
   
   /**
	* rotates referees right leg
	* @return v_leg_right
	*/
   public float[] getv_leg_right()
   {
      return v_leg_right;
   }
   
   /**
	* rotates referees right foot
	* @return v_foot_right
	*/
   public float[] getv_foot_right()
   {
      return v_foot_right;
   }


   //********************************
   //SET-methods
   //********************************
   
   /**
	* the size of referee
	* @param v
	*/
   public void setsize(float s)
   {
   	size = s;
   }
   
   /**
	* rotates referee
	* @param v
	*/
   public void settrotere_referee(float v[])
   {
   	rotere_referee = v;
   }
   
   /**
	* translates referee x
	* @param v
	*/
   public void setmove_referee_x(float v)
   {
      move_referee_x = v;
   }
   
    /**
	* translates referee y
	* @param v
	*/
   public void setmove_referee_y(float v)
   {
      move_referee_y = v;
   }
   
    /**
	* translates referee z
	* @param v
	*/
   public void setmove_referee_z(float v)
   {
      move_referee_z = v;
   }

   /**
	* rotates referees body
	* @param v
	*/
   public void setv_body(float v[])
   {
   	v_body = v;
   }
   
   /**
	* rotates referees neck
	* @param v
	*/
   public void setv_neck(float v[])
   {
   	v_neck = v;
   }
   
   /**
	* rotates referees left shoulder
	* @param v
	*/
   public void setv_shoulder_left(float v[])
   {
      v_shoulder_left = v;
   }
   
   /**
	* rotates referees left upperarm
	* @param v
	*/
   public void setv_overarm_left(float v[])
   {
      v_overarm_left = v;
   }
   
   /**
	* rotates referees left forearm
	* @param v
	*/
   public void setv_underarm_left(float v[])
   {
      v_underarm_left = v;
   }
   
    /**
	* rotates referees right shoulder
	* @param v
	*/
   public void setv_shoulder_right(float v[])
   {
   	v_shoulder_right = v;
   }
   
    /**
	* rotates referees right upperarm
	* @param v
	*/
   public void setv_overarm_right(float v[])
   {
      v_overarm_right = v;
   }
   
   /**
	* rotates referees right forearm
	* @param v
	*/
   public void setv_underarm_right(float v[])
   {
      v_underarm_right = v;
   }
   
    /**
	* rotates referees right hand
	* @param v
	*/
   public void setv_hand_right(float v[])
   {
      v_hand_right = v;
   }
   
   
   /**
	* rotates referees left hip
	* @param v
	*/
   public void setv_hip_left(float v[])
   {
      v_hip_left = v;
   }
   
   /**
	* rotates referees left thigh
	* @param v
	*/
   public void setv_thigh_left(float v[])
   {
      v_thigh_left = v;
   }
   
   /**
	* rotates referees left leg
	* @param v
	*/
   public void setv_leg_left(float v[])
   {
      v_leg_left = v;
   }
   
   /**
	* rotates referees left foot
	* @param v
	*/
   public void setv_foot_left(float v[])
   {
      v_foot_left = v;
   }
   
   /**
	* rotates referees right hip
	* @param v
	*/
   public void setv_hip_right(float v[])
   {
      v_hip_right = v;
   }
   
   /**
	* rotates referees right thigh
	* @param v
	*/
   public void setv_thigh_right(float v[])
   {
      v_thigh_right = v;
   }
   
   /**
	* rotates referees right leg
	* @param v
	*/
   public void setv_leg_right(float v[])
   {
      v_leg_right = v;
   }
   
   /**
	* rotates referees right foot
	* @param v
	*/
   public void setv_foot_right(float v[])
   {
      v_foot_right = v;
   }
}